import dao.TellerDao
import dao.TransactionDao

fun main() {
    val migratedDCCBCodes = listOf("0012")
    val transactionRequestList = TransactionDao().getTransactionRequests()
    transactionRequestList
        .filter { it.dccbCode in migratedDCCBCodes }
        .forEach { request ->
            val makerTeller = TellerDao().getTeller(request.dccbCode, request.branchCode) ?:
                run {
                    println("40004: #${request.transactionNumber}")
                    return@forEach
                }
            val transactionFactory = TransactionFactory(request, makerTeller)
            val transferTransaction = transactionFactory.createTransferTransaction()
            val neftTransaction = transactionFactory.createNEFTTransaction()
            val transactionPair = Pair(transferTransaction, neftTransaction)
            val success = TransactionExecutor().execute(transactionPair)
            print(success)
        }
}


