package model

import kotlinx.serialization.Serializable
import org.ipks.enums.TransactionType
import org.ipks.model.Transaction
import java.time.LocalDate


data class TransactionRequest(
    val transactionNumber: String,
    val pacsCurrentAccountNumber: String,
    val neftBeneficiaryAccountNumber: String,
    val ifscCode: String,
    val amount: Float,
    val date: LocalDate,
    val tellerId: String,
    val status: String,
    val beneficiaryName: String,
    val beneficiaryAddress: String?,
    val pacsId: String,
    val dccbCode: String,
    val branchCode: String,
    val remitterName: String,
    val pacsAccountNumber: String,
    val linkedCBSAccountNumber: String
)

